stl_construct.h File Reference

Go to the source code of this file.

## Classes

struct | std::allocator< _Tp >

## Namespaces

namespace | std

## Functions

template<typename _T1 , typename... _Args>
void | std::_Construct (_T1 *__p, _Args &&...__args)
template<typename _Tp >
void | std::_Destroy (_Tp *__pointer)
template<typename _ForwardIterator >
void | std::_Destroy (_ForwardIterator __first, _ForwardIterator __last)
template<typename _ForwardIterator , typename _Allocator >
void | std::_Destroy (_ForwardIterator __first, _ForwardIterator __last, _Allocator &__alloc)
template<typename _ForwardIterator , typename _Tp >
void | std::_Destroy (_ForwardIterator __first, _ForwardIterator __last, allocator< _Tp > &)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <memory>.

Definition in file stl_construct.h.